<?php
include_once(getabspath("include/senuc_descomplica_logins_settings.php"));

function DisplayMasterTableInfo_senuc_descomplica_logins($params)
{
	$detailtable=$params["detailtable"];
	$keys=$params["keys"];
	global $conn,$strTableName;
	$xt = new Xtempl();
	
	$oldTableName=$strTableName;
	$strTableName="senuc_descomplica_logins";

//$strSQL = "SELECT  id,  login,  senha_inicial,  situacao,  id_aluno,  id_nucleo,  id_regional,  `data`,  operador  FROM senuc_descomplica_logins  ORDER BY situacao DESC";

	$cipherer = new RunnerCipherer($strTableName);
	$settings = new ProjectSettings($strTableName, PAGE_PRINT);
	
	$masterQuery = $settings->getSQLQuery();
	$viewControls = new ViewControlsContainer($settings, PAGE_PRINT);

$where="";

global $pageObject, $page_styles, $page_layouts, $page_layout_names, $container_styles;
$layout = new TLayout("masterprint","BreezeAqua1","MobileAqua1");
$layout->blocks["bare"] = array();
$layout->containers["0"] = array();

$layout->containers["0"][] = array("name"=>"masterprintheader","block"=>"","substyle"=>1);


$layout->skins["0"] = "empty";
$layout->blocks["bare"][] = "0";
$layout->containers["mastergrid"] = array();

$layout->containers["mastergrid"][] = array("name"=>"masterprintfields","block"=>"","substyle"=>1);


$layout->skins["mastergrid"] = "grid";
$layout->blocks["bare"][] = "mastergrid";$page_layouts["senuc_descomplica_logins_masterprint"] = $layout;


$showKeys = "";
if($detailtable=="senuc_descomplica")
{
		$where.= GetFullFieldName("login", "", false)."=".$cipherer->MakeDBValue("login",$keys[1-1], "", "", true);
	$showKeys .= " "."Login".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
	
}
if(!$where)
{
	$strTableName=$oldTableName;
	return;
}
	$str = SecuritySQL("Export");
	if(strlen($str))
		$where.=" and ".$str;
	
	$strWhere = whereAdd($masterQuery->m_where->toSql($masterQuery),$where);
	if(strlen($strWhere))
		$strWhere=" where ".$strWhere." ";
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();

//	$strSQL=AddWhere($strSQL,$where);

	LogInfo($strSQL);
	$rs=db_query($strSQL,$conn);
	$data = $cipherer->DecryptFetchedArray($rs);
	if(!$data)
	{
		$strTableName=$oldTableName;
		return;
	}
	$keylink="";
	$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["id"]));
	

//	login - 
			$xt->assign("login_mastervalue", $viewControls->showDBValue("login", $data, $keylink));

//	senha_inicial - 
			$xt->assign("senha_inicial_mastervalue", $viewControls->showDBValue("senha_inicial", $data, $keylink));
	$xt->display("senuc_descomplica_logins_masterprint.htm");
	$strTableName=$oldTableName;

}

?>